%define name            manaworld
%define version         0.0.29.1
%define release         %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        2D MMORPG world

Group:          Games/Arcade
License:        GPLv2+
URL:            http://themanaworld.org
Source0:        http://downloads.sourceforge.net/themanaworld/tmw-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Requires:       fonts-ttf-dejavu
BuildRequires:  guichan-devel >= 0.8.1 desktop-file-utils physfs-devel
BuildRequires:  curl-devel libxml2-devel libpng-devel
BuildRequires:  SDL_image-devel SDL_mixer-devel SDL_net-devel SDL_ttf-devel

%description
The Mana World (TMW) is a serious effort to create an innovative free and open
source MMORPG. TMW uses 2D graphics and aims to create a large and diverse
interactive world.

%prep
%setup -q -n tmw-%{version}


%build
%configure --with-opengl
%make


%install
rm -rf %{buildroot}
%makeinstall_std

# Creation of *.desktop-file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/tmw.desktop  <<EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Name=%{summary}
GenericName=Role Playing
Comment=A free open source 2D MMORPG
Icon=tmw.png
Exec=tmw
Terminal=false
StartupNotify=false
Categories=Game;RolePlaying;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps
mv %{buildroot}/%{_datadir}/pixmaps/tmw.png \
  %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps
rmdir %{buildroot}/%{_datadir}/pixmaps

# Use system fonts instead of bundled fonts

rm -f %{buildroot}/%{_datadir}/tmw/data/fonts/dejavusans.ttf
ln -vfs %{_datadir}/fonts/TTF/dejavu/DejaVuSans.ttf %{buildroot}/%{_datadir}/tmw/data/fonts/dejavusans.ttf

%find_lang tmw

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f tmw.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README docs/*.txt
%{_bindir}/tmw
%{_datadir}/tmw
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/32x32/apps/*.png
%{_mandir}/man6/*.lzma

%changelog
* Sat Jul 17 2010 Jens Ornot <rpm@mandrivauser.de> 0.0.29.1-1mud2010.1
- initial package for Mandriva Linux
